SMBBETA

Claim Valuation

Last updated Oct 10, 2026View as MarkdownAgent setup / MCP
POST
/v1/valuations/{valuation_id}/claim

Attaches a guest valuation to one Business in the selected Workspace using the claim token returned by the original valuation. The token is accepted as input and is never returned again.

Authorization

AuthorizationBearer <token>

Signed-in user's Supabase access token. Workspace-scoped operations also require SMB-Workspace-Id.

In: header

Path Parameters

valuation_id*string

Valuation to attach.

Match^val_[0-9a-f]{32}$

Header Parameters

SMB-Workspace-Id*string

Workspace where this operation runs. Required for user tokens and Workspace API keys.

Formatuuid
Idempotency-Key*string
Length8 <= length <= 200

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/v1/valuations/string/claim" \  -H "SMB-Workspace-Id: 497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Idempotency-Key: stringst" \  -H "Content-Type: application/json" \  -d '{    "business_id": "string",    "claim_token": "string"  }'
{  "valuation_id": "string",  "business_id": "string",  "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9",  "attached": true,  "idempotent_replay": true,  "request_id": "string",  "receipt": {    "receipt_id": "64d0a161-468e-472a-b00e-a06ee9ab7de7",    "command_id": "7d510d78-7444-4252-aeac-9e473949661e",    "operation": "string",    "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9"  }}